@import '../../styles/variables.scss';

.modal {
  position: fixed;
  top: 0;
  bottom: 0;
  right: 0;
  left: 0;
  z-index: 999;

  width: 100%;
  height: 100%;

  overflow: auto;

  background-color: rgba(0, 0, 0, .6);

  &_button {
    @include reset-button;

    padding: 20px;
    box-sizing: border-box;

    width: 100%;
    cursor: pointer;

    text-align: right;

    span {
      pointer-events: none;
    }
  }

  &_container {
    display: flex;
    align-items: center;
    justify-content: center;

    padding-bottom: 60px;
  }
}

@media (min-width: $breakpoint-3) {
  .modal {
    &_button {
      position: absolute;
      right: 20px;
      top: 20px;

      padding: 0;
    }

    &_container {
      padding: 20px 0;
    }
  }
}

